<div class="categories-page">
  <header class="category-header">
    <h2>Categories</h2>
    <a
      routerLink="/categories/new"
      class="waves-effect waves-light btn"
    >
      <i class="material-icons left">add</i>
      Add new
    </a>
  </header>
  <div *ngIf="categories$ | async as categories; else loader" >
    <div class="categories-content" *ngIf="categories.length !== 0; else empty">
      <div class="category-card" *ngFor="let category of categories" routerLinkActive="active">
        <a [routerLink]="['/categories', category._id]">
          <img [src]="category.imageSrc" [alt]="category.name" />
          <span class="card-text">
            {{ category.name }}
          </span>
        </a>
      </div>
    </div>
  </div>

  <ng-template #loader>
    <app-loader></app-loader>
  </ng-template>

  <ng-template #empty>
    <div>Categories not found</div>
  </ng-template>

</div>
